This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1000938 - Low timout for removing queues/topics from EAP 6 server via JON
Low timout for removing queues/topics from EAP 6 server via JON
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin -- JBoss EAP 6 (Show other bugs)
JON 3.1.2
Unspecified Unspecified
unspecified Severity medium
: GA
: JON 3.2.0
Assigned To: Thomas Segismont
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-26 03:23 EDT by Radim Hatlapatka
Modified: 2014-01-02 15:43 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-02 15:43:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Radim Hatlapatka 2013-08-26 03:23:03 EDT
Description of problem:

Occasionally there occurs read timed out error when trying to remove queue from EAP 6 server via JON.

java.lang.IllegalArgumentException: Delete for [subsystem=messaging,hornetq-server=default,jms-queue=test-queue] failed: Read timed out, rolled-back=false, rolled-back=false
	at org.rhq.modules.plugins.jbossas7.BaseComponent.deleteResource(BaseComponent.java:316)
	at sun.reflect.GeneratedMethodAccessor83.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:606)
	at org.rhq.core.pc.inventory.ResourceContainer$ComponentInvocationThread.call(ResourceContainer.java:634)
	at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:334)
	at java.util.concurrent.FutureTask.run(FutureTask.java:166)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615)
	at java.lang.Thread.run(Thread.java:724)

For me it seems as issue with timeout


Version-Release number of selected component (if applicable):
Detected with JON 3.1.2 including EAP Plugin Pack Hotfix-03 for JBoss ON 3.1.2 with EAP 6.1.1.ER7

Steps to Reproduce:
1. import EAP 6.1 in standalone mode
2. create queue for test purposes
3. remove the queue


Additional Info:
For me it mainly occurs on Solaris but sometimes even on RHEL. It doesn't occur very often something like once per 10 or 20 tries.
Comment 1 Heiko W. Rupp 2013-08-28 06:01:37 EDT
Thomas, I think you worked on those timeouts - is that covered?
Comment 2 Thomas Segismont 2013-08-28 06:15:47 EDT
Are you referring to the work on interruptible operations? If so then no, it's not covered.

The problem here is that the delete operation takes more than 10 seconds and httpclient in ASConnection hits the 10 seconds socket read timeout.

In similar situations in the past, we have just used "Result execute(Operation op, int timeoutSec)" instead of "Result execute(Operation op)" and its default 10 seconds timeout.
Comment 3 Thomas Segismont 2013-08-28 08:30:47 EDT
Fixed in master

commit 60c22abcedf5df9208f66408371339eaa56f1705
Author: Thomas Segismont <tsegismo@redhat.com>
Date:   Wed Aug 28 14:21:03 2013 +0200

Now using a dedicated timeout (2 minutes) instead of the default one (10 seconds)
Comment 4 Simeon Pinder 2013-12-13 11:13:49 EST
Moving this to ON_QA, as discussed in triage call (myarboro,loleary,spinder). This is already in the GA tag but somehow we didn't set this to ON_QA.

Note You need to log in before you can comment on or make changes to this bug.